+2006-04-10 Stepan Kasal <kasal@ucw.cz>
+
+ * tests/mktests.sh: Use "trap '' 0", not "trap 0". Do not touch
+ the files if a problem appears. Make the empty *.at files
+ read-only, too. Proposed by Ralf Wildenhues.
+
2006-04-10 Ralf Wildenhues <Ralf.Wildenhues@gmx.de>
* config/Makefile.am: Add comment to force updated Makefile.in.
as_me=`echo "$0" | sed 's,.*[\\/],,'`
-trap 'echo "'"$as_me"': failed. To proceed run make check." >&2
+trap 'echo "'"$as_me"': failed." >&2
rm -f acdefuns audefuns requires *.tat
- for file
- do
- touch `echo "$file" | sed "s,.*[\\/],,;s/\..*/.at/"`
- done
- trap 0
+ trap "" 0
exit 1' \
0 1 2 15
# check, output /rien du tout/[1].
if grep AT_CHECK ac$base.tat >/dev/null 2>&1; then
mv -f ac$base.tat ac$base.at
- # Help people not to update these files by hand.
- chmod a-w ac$base.at
else
rm -f ac$base.tat ac$base.at
touch ac$base.at
fi
+ # Help people not to update these files by hand.
+ chmod a-w ac$base.at
done
rm -f acdefuns audefuns requires
-trap 0
+trap '' 0
exit 0
# [1] En franc,ais dans le texte.